Authentic Document view

xml spy
Authentic Document view

Authentic Document view enables you to edit XML documents based on templates created in Stylesheet Designer!

The templates in Stylesheet Designer are saved as *.sps files, and supply all the necessary information needed by Authentic Document view. These templates are placed in the ...\Template\Examples folder and are available when you select the File | New command and click the "Select a Authentic Document view template..." button.

Authentic Document view features:
· Free-flow WYSIWYG text editing
· Form-based data input
· Presentation and editing of repeating XML elements as tables
· Real-time validation, and consistency checking using XML Schema

Authentic Document view is available in several versions:
· Integrated as a separate view within XMLSPY 5
· As a Browser Plug-In for Internet Explorer AUTHENTIC 5 Browser Edition

Top Next

© 2002 Altova


Overview

Overview

Authentic Document view has two main areas: the main window, and the entry helpers at right. The graphic below shows the OrgChart template with all the markup info hidden.

· The main window allows you to display the document in several different views: the Authentic Document view which is the default view for this type of document template, the Enhanced Grid view or Text view. The Enhanced Grid view incorporates a special view, called the Database/Table view, which collapses recurring XML data into table form.

· The right area contains three Entry helper windows, which allow you to insert specific elements (or attributes) depending on the current cursor position in the document.

Orgchart template document

Datasheet template document

Previous Top Next


Symbols and icons

Symbols and icons

Authentic Document view uses easily recognizable symbols to display the various XML elements.
There are different ways to customize the Authentic Document view: hide all markup, show small markup, show large markup and show mixed markup.

Clicking this icon switches to the Authentic Document view in XMLSPY 5. This view is automatically opened when you open a template file (*.sps). Clicking the icon causes a dialog box to appear if the active file is not a template file. You can then select the template file of your choice.

Template files (*.sps) can only be created in Stylesheet Designer, please see the Stylesheet Designer documentation for more information on how to do this.

You can of course, click the Enhanced Grid view or Text view icon, and edit your document there.

"Content" icon bar icons:

Hide markup symbols

Show small markup symbols

Show large markup symbols

Show mixed markup symbols

Append row to table

Insert row into table

Duplicate current table row

Move current row up by one row

Move current row down by one row

Deletes the currently active row

User defined icons. These two apply bold or italic formatting to marked text. User defined icons are defined in Stylesheet Designer, and are made available to Authentic Document view as icons in the icon bar.

Please see the Stylesheet Designer documentation for more information.

This graphic shows the OrgChart document with small markup symbols visible.

This graphic shows the same OrgChart with large markup symbols visible.

Authentic Document view, tag symbols

Start and end tags of the (Department) Name element, start and end tags expanded.

(Department) Name tag, contracted. To expand or contract tags, double click the specific tag.

Operation attribute, as a combo box.

Documentid element, as a text box.

The "Title" field is defined as an optional element in the (referenced) schema. Clicking the "add Title" text, allows you to enter data into this field.

Bullets and numbering
Bullets and numbering symbols may occur in the sps template file you open. The type and positioning of these symbols are defined in Stylesheet Designer. If these symbols occur under the para tag, then hitting Enter will automatically add a new bullet or number to the new paragraph. The numbering will be automatically incremented using this method.

· Bullets
1. Numbering (and autonumbering)

CALS / HTML table icons:
44-cals-html-iconbar

The icons of this title bar only become active, when you place the cursor in a CALS or HTML table. Please see the CALS / HTML icons section for more information.


AUTHENTIC 5 Browser Edition

AUTHENTIC 5 Browser Edition

AUTHENTIC 5 Browser Edition is a unique solution that allows live XML content editing from any desktop in your enterprise, which dramatically eases deployment and reduces total cost of ownership (TCO).

This is the first browser-based XML editing solution in the entire industry, and it is based upon open standards, such as XML Schema and XSLT! It is also fully Unicode compatible!

Please see the AUTHENTIC 5 Browser Edition for more information.


Authentic Document view Tutorial

Authentic Document view Tutorial

The aim of this tutorial is to fill in the OrgChart template supplied with XMLSPY 5.

This will be achieved by:
· Entering data into the predefined tables
· Adding additional persons to the department table
· Adding a new company and filling in all the relevant data.

Prerequisites:
· The OrgChart template necessary for this tutorial is supplied with XMLSPY 5.
· Any other templates you want to edit must have been created using Stylesheet Designer and saved there (thus creating a *.sps file).


Opening a document template *.sps

Opening a document template *.sps

To open a document template:
Authentic Document view enables you to edit XML documents based on templates created in Stylesheet Designer! You cannot create a new template using Authentic Document view, this must be done in Stylesheet Designer.

1. Start XMLSPY 5 by double clicking the XMLSPY 5 icon (or your stand-alone Authentic Document view icon).
2. Select the menu option File | New and click the "Select a Authentic Document view template..." button.

This opens the "New" dialog box.

3. Double click the OrgChart.sps icon to open the orgchart template in Authentic Document view (or click the Browse... button to open a different *.sps file). Please see File | New for more information on how *.sps template icons are created.

The orgchart template is now on screen and can be edited directly within this view. You can also edit it in the Enhanced Grid and Text view if you wish.

Please note:
You cannot open a Authentic Document view template (*.sps file) in the Authentic Document view using the File | Open command. If you do so, the file will be opened in the Enhanced Grid view as a normal XML document.

You have to select a Authentic Document view template created in Stylesheet Designer, using the File | New command in Authentic Document view.

All *.sps templates supplied with XMLSPY 5 are placed in the folder you installed ...\sps\Template\Examples.


Adding data in Authentic Document view

Adding data in Authentic Document view

This section deals with entering data in the XML document based on the OrgChart template. The diagram below, shows you where to click in the following example.

Adding data to the document:
1. Click at position 1. and enter the name of the document (e.g. Organization Chart).
2. Click at position 2. and the company name (e.g. Nano USA).

3. Press the TAB key, to place the text cursor in the address table.
4. Fill in the address data of the company, using TAB to step through all the fields.

5. Click at position 3. and enter a short company description (between the Desc | Para tags - if visible). You can hit the Enter key to add a new line from anywhere within the description text.
6. Click at position 4. and enter the Department name.
7. Hit the TAB key and fill in the Person table, using TAB to step through the fields.

Auto- and manual validation
When entering text in the e-mail field, you will notice that it initially appears in red. Authentic Document view uses the schema, on which the template is based, to provide real-time validation. When the data has been entered correctly, the text changes to black.

The e-mail field is valid as soon as the address contains an @, another character, followed by a period (defined as a pattern in the schema file).

You can validate the whole document by selecting the menu option XML | Validate, or hitting the F8 key.

Optional fields:
Pressing the TAB key in the Person table, skips the "Title" field. The Title field was defined as optional in the schema file, and is displayed as a link in a template document. To add data in this field, click the "add Title" text and enter your data.

Hints:
Placing the text cursor in, or above the "e-mail" field (in the Person table) causes a hint window to appear. These hints were defined in Stylesheet Designer and are designed to aid users when filling in the document.

Hints can be defined for any element using the "Node Settings" function in Stylesheet Designer.

Orgchart with Large Markup visible.

To add a new row to the Person table:
1. When the text cursor is in the last cell (Email) of the Person table, hit TAB to add a new row, or
2. Right click and select Insert | Person.

Fill in the new row with the person data.


Table types

Table types

Tables in Authentic Document view
There are several types of table available in Authentic Document view:
· Fixed and dynamic tables, which are described in this section, and
· CALS / HTML tables. Please see the CALS / HTML section for more information on these two table types.

An example of a fixed table is the company Address table. The structure of this type of table cannot be changed; you cannot add or delete rows or columns.

The Person table is an example of a dynamic table. You can change the structure of this table at will. You can insert, append, duplicate, move, and delete rows, using the respective icons. Hitting the TAB key in the last field of such a table, automatically adds a new row.

Please note:
The two tables in this example are colored differently, this does not however, have any bearing on the type of table they are. The table type and color scheme were defined in Stylesheet Designer.

To add a new office to the orgchart:
1. Click the append Office icon (leftmost icon of the pair) in the entry helper, to append a new office.
Empty address and person tables, as well as all other related tags, are automatically inserted at the end of the document.

The element entry helper contains elements that can be appended or inserted to the document, depending on the current cursor position.

You can of course, right click to open the context menu and select Insert or Append | Office. The context menu supplies the same options as the element entry helper.

Please note:
The context menu also allows you to apply formatting to text, or clear previously applied formatting. The options depend on where you right click.

2. Fill in the office data as before.

Changing text attributes:
The Company description text can be made bold or italic.
1. Mark the text you want to make bold or italic, and
2. Click the bold or italic icons in the icon bar, to apply these attributes.
The marked text is displayed as bold, and strong and/or italic tags are inserted on each side of the marked text (visible when Show large markup is active).

Please note:
are user-defined icons. These two apply bold or italic formatting to marked text. User defined icons are defined in Stylesheet Designer (Text State icons), and are made available to Authentic Document view as icons in the icon bar. Please see the Stylesheet Designer documentation for more information.


Authentic Document view Reference

Authentic Document view Reference

The reference section contains a complete description of all Authentic Document view windows and menu commands, as well as a short CALS / HTML table How to... section.


Menus, Dialogs and icons

Menus, Dialogs and icons

This section describes the menu, dialog box and context menu options.


File

File

The File menu contains all commands relevant to manipulating files in the order common to most Windows software products.


New

New

The "New..." command is used to create a new type of XML document, or open a predefined Authentic Document view template file created by Stylesheet Designer. Template files can only be opened in Authentic Document view, they have to be created in Stylesheet Designer.

To open a Authentic Document view template file (*.sps)
· Click the "Select a Authentic Document view template..." button and select a file from the dialog box.

This opens the New dialog box.

· The two *.sps icons you see here are supplied with XMLSPY 5. and are automatically placed in the ..\sps\Template\Examples folder.
· The OrgChart icon (OrgChart.ico) is also in the Examples folder. A default icon (e.g. Datasheet.sps icon) is used, if you do not create a specific one.
· You can add new tabs to this dialog box, by adding a sub-folder to the Template folder e.g. ..\sps\Template\My folder


Open

Open

The "Open..." command allows you to open any type of XML file. The familiar Windows "Open" dialog is opened and allows you to select one of these file types.

Do not use this command to open a Authentic Document view template file (*.sps), use File | New instead.


Save

Save

The "Save" command saves the currently open Authentic Document view file as a normal XML file.


Save as...

Save as...

The "Save As..." command shows the familiar Windows "Save as..." dialog and prompts for the name and location of the XML file to be saved.


Exit

Exit

The "Exit" command is used to quit Authentic Document view. If you have an open file with unsaved changes, you will be prompted to save these changes.


Authentic

Authentic

The Authentic menu contains commands relevant to displaying document markup, as well as manipulating tables.


Assign configuration file...

Assign configuration file...

This command assigns a Spy Structure file (SPS) to an XML document to enable viewing and editing in the Authentic Document view.

The command opens a dialog box allowing you to specify the SPS file you wish to assign, and inserts the required SPS statement into your XML document.


Hide markup

Hide markup

This command hides markup symbols in the Authentic Document view.


Show small markup

Show small markup

This command shows small markup symbols in the Authentic Document view.


Show large markup

Show large markup

This command shows large markup symbols in the Authentic Document view.


Show mixed markup

Show mixed markup

This command shows mixed markup symbols in the Authentic Document view.


Append row

Append row

This command appends a row to the current table in the Authentic Document view.


Insert row

Insert row

This command inserts a row into the current table in the Authentic Document view.


Duplicate row

Duplicate row

This command duplicates the current table row in the Authentic Document view.


Move row up

Move row up

This command moves current row up by one row in the Authentic Document view.


Move row down

Move row down

This command moves the current row down by one row in the Authentic Document view.


Delete row

Delete row

This command deletes the currently active row in the Authentic Document view.


CALS / HTML icons

CALS / HTML icons

Authentic Document view now supports the use of CALS and HTML tables directly in Authentic Document view (or in the Authentic Document view).

Please note:

· Only one of the two table types can be inserted into a Authentic Document view XML document.

· The table data are saved in the XML file, and have no effect on the sps template file.

· CALS or HTML tables can only be inserted at the exact position defined in the assigned schema file.

Please see the CALS / HTML table properties section of the Stylesheet Designer documentation, on how these tables are configured.

Prerequisites for CALS or HTML tables:

· CALS - a DocBook DTD or Schema that supplies the CALS tags
HTML - a XHTML.DTD or Schema that supplies the HTML tags

· An SPS file template - created in Stylesheet Designer which includes/references these DTD/Schemas, and also contains the tags, tables, graphics etc. that form the basis of the template.


Insert table

Insert table

44-ic-ins-cals-tbl

The "Insert Table" command inserts a CALS / HTML table at the current cursor position.


Delete table

Delete table

The "Delete table" command deletes the currently active table.


Append row

Append row

The "Append row" command appends a row to the end of the currently active table.


Append column

Append column

The "Append column" command appends a column to the end of the currently active table.


Insert row

Insert row

The "Insert row" command inserts a row above the current cursor position in the currently active table.


Insert column

Insert column

The "Insert column" command inserts a column to the left of the current cursor position in the currently active table.


Delete row

Delete row

The "Delete row" command deletes the row where the cursor is currently positioned.


Delete column

Delete column

The "Delete column" command deletes the column where the cursor is currently positioned.


Join cell left

Join cell left

The "Join cell left" command joins the current cell (current cursor position) with the cell to the left. The tags of both cells remain in the new cell, the column headers remain unchanged.


Join cell right

Join cell right

The "Join cell right" command joins the current cell (current cursor position) with the cell to the right. The tags of both cells remain in the new cell, the column headers remain unchanged.


Join cell below

Join cell below

The "Join cell below" command joins the current cell (current cursor position) with the cell below. The tags of both cells remain in the new cell, the column headers remain unchanged.


Join cell above

Join cell above

The "Join cell above" command joins the current cell (current cursor position) with the cell above. The tags of both cells remain in the new cell, the column headers remain unchanged.


Split cell Horizontally

Split cell Horizontally

The "Split cell Horizontally" command creates a new cell to the right of the currently active cell. The size of both cells, is now the same as the original cell.


Split cell Vertically

Split cell Vertically

The "Split cell Vertically" command creates a new cell below the currently active cell.


Align top

Align top

Align Top
This command aligns the cell contents to the top of the cell.


Center Vertically

Center Vertically

Center vertically
This command centers the cell contents.


Align bottom

Align bottom

Cell bottom
This command aligns the cell contents to the bottom of the cell.


Table properties

Table properties

The "Table properties" command opens the Table Properties dialog box. This icon is only made active for HTML tables, it cannot be clicked for CALS tables.

44-cals-html-tbl-prop


CALS / HTML How to...

CALS / HTML How to...

The aim of this How to... section is to show you how to insert a HTML table into a Authentic Document view XML file. Inserting a CALS table works in exactly the same way. This example will use the Html-OrgChart.xml file supplied in the Examples folder.

You can of course, also start from an empty template file, using the File | New command and clicking the "Select a Authentic Document view template", and selecting the HTML-OrgChart.sps. You can then insert a CALS or HTML table at the point specified by the schema file.

The ...\Examples folder:

· contains Html-OrgChart.xml into which the HTML table will be inserted

· contains the Html-OrgChart.xsd schema file which defines the types of tags available and also where the HTML table can be inserted.

· contains the Html-OrgChart.sps file, which servers as the template for the Html-Orgchart.xml file. This file was created in Stylesheet Designer.

Please note:
The Html-OrgChart.xsd file includes the HTML table tags under the para tag. This means that HTML tables can only be inserted within/under a para tag in Authentic Document view.

To add CALS or HTML tables anywhere else in this example, the schema file would have to be edited. You would have to insert the table element (with all table sub elements and attributes) at the position you want to a CALS / HTML table to be inserted.


Inserting CALS / HTML tables

Inserting CALS / HTML tables

To insert a HTML table into a Authentic Document view file:
1. Use File | Open and select the Html-OrgChart.xml file from the Examples folder.

44-howto1

2. Click into the document just after the 1999 text, at the end of the company description paragraph.

44-howto2

3. The Insert table icon in the title bar has now become active. The Element entry helper also contains the "table" entry, which shows that a CALS / HTML table can be inserted at this point. The type of table that can be inserted here was predefined in Stylesheet Designer.
4. Click the Insert table icon 44-ic-ins-cals-tbl, and hit Enter to select the default 3x3 table.
5. Click in the first cell of the new table.
44-howto3
More table icons become active at this point, and the entry helpers display the formatting and attributes of the current table cell.


Setting CALS / HTML table attributes

Setting CALS / HTML table attributes

Setting CALS / HTML table attributes:
Table attributes are defined in the underlying schema file, and are displayed in the Attributes entry helper.

· Click in the cell you want to customize, and select the respective attributes from the entry helper. A drop down dialog box appears if there are several entries to choose from.

The cursor is currently in a cell which has been merged with the one below (join below), and the table data attributes (td) align=center and valign=top, have been defined.

· You can directly resize the cell boundaries with the mouse, split and join cells, add or delete columns and rows, and format the cell contents.

44-howto4

To see the HTML tags and the table data:
· Click the Text view icon.

The table elements, attributes and data are now visible. This is how they will be saved when you save the XML document. This has no effect on the sps template the XML document was created from; the data are stored in this XML file.
44-howto5

Differences between CALS and HTML tables:
There are some differences concerning the attributes that are available to both tables. The method used to insert them into the XML document remains the same however.

CALS table restrictions:

· The Table properties icon 44-ic-tbl-props is always inactive for CALS tables. None of the global table properties (table, row, column, cell) can therefore be set. E.g. align, bgcolor, border, rules etc.
· Columns can only be split if they were previously joined. To achieve the same effect, click "Insert column" to insert a new column.
· The height attribute cannot be specified in the Attributes entry helper, or by directly dragging a cell boundary.
· Only one nested table is permissible, i.e. only one table in a table.
· The default CALS "Title" element, is automatically inserted when the CALS table is created.


Context menus

Context menus

Context menus are opened by clicking right on some part of the user-interface. The pop-up menu that opens is determined by where you click.

The context menu supplies:
· The standard editing functions: Cut, Copy and Delete.
· Options to insert or append elements, through the Insert and Append options. The items that can be selected, are the same as the ones available in the entry helper.
· Options to apply formatting to text, or clear previously applied formatting.


Help

Help

Authentic Document view includes a online help system that is based on the Microsoft HTML Help Viewer, and let you currently access the table of contents, index and search function of the supplied help file.


About Authentic Document view

About Authentic Document view...

This command displays the current Authentic Document view splash window.

Previous Top